export declare enum AlertRuleStatus {
    ENABLED = "ENABLED",
    DISABLED = "DISABLED"
}
export declare enum AlertRuleStatusLabel {
    ENABLED = "Active",
    DISABLED = "Paused"
}
export interface AlertRuleRow {
    DYNAMIC_NOTIFY_RULE_ID: string;
    MESSAGE: string;
    RULE_DESCRIPTION: string;
    RULE_EXPRESSION: string;
    RULE_NAME: string;
    RULE_STATUS: AlertRuleStatus;
    RULE_TABLE: string;
    TOPIC: string;
    USER_NAME: string;
    ROW_REF: string;
}
export interface AlertRule extends AlertRuleRow {
    DATE: string;
}
//# sourceMappingURL=main.types.d.ts.map